View Issue Details

IDProjectCategoryView StatusLast Update
0031524FPCFCLpublic2017-03-15 16:52
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031524: fcl-passrc fails with goto
Descriptionprogram Project1;
function add_to(const a:Tconstexprint;b:qword):Tconstexprint;

var sspace,uspace:qword;

label try_qword;

begin
  if expr then
    dosomething
  else if expr2 then
    goto try_qword
  else
    dosomething2;
  try_qword:
  dosomething3;
end;
begin
end.

Gives Parser error: "Expected ";" at token "else" at line 13 column 6"
TagsNo tags attached.
Fixed in Revision35593
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-03-15 16:02

administrator   ~0098921

Fixed. Thanks for reporting!

Andrey Zubarev

2017-03-15 16:52

reporter   ~0098925

Thanks!

Issue History

Date Modified Username Field Change
2017-03-11 21:57 Andrey Zubarev New Issue
2017-03-12 17:44 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-03-12 17:44 Michael Van Canneyt Status new => assigned
2017-03-15 16:02 Michael Van Canneyt Fixed in Revision => 35593
2017-03-15 16:02 Michael Van Canneyt Note Added: 0098921
2017-03-15 16:02 Michael Van Canneyt Status assigned => resolved
2017-03-15 16:02 Michael Van Canneyt Fixed in Version => 3.1.1
2017-03-15 16:02 Michael Van Canneyt Resolution open => fixed
2017-03-15 16:02 Michael Van Canneyt Target Version => 3.2.0
2017-03-15 16:52 Andrey Zubarev Note Added: 0098925
2017-03-15 16:52 Andrey Zubarev Status resolved => closed